%define name   distcc 
%define version 1.2.2
%define release 1mdk
%define lib_name_orig lib%{name}
%define lib_major 0
%define lib_name %{lib_name_orig}%{lib_major}

Name:           %{name}
Summary:	Program to distribute compilation of C or C++ 
Group:		Development/C
Version:        %{version}
Release:        %{release}
License: 	GPL
URL:		http://distcc.samba.org
Requires: 	gcc, gcc-c++, xinetd
Provides:	distcc
BuildRoot:      %{_tmppath}/%{name}-%{version}
Prefix:         %{_prefix}
Packager:	Antoine Ginies <aginies@mandrakesoft.com>
Source:         %{name}-%{version}.tar.bz2
Source1:	xinetd.d-distcc

%description
distcc is a program to distribute compilation of C or C++ code across
several machines on a network. distcc should always generate the same
results as a local compile, is simple to install and use, and is often
two or more times faster than a local compile. 

%prep
rm -rf %{RPM_BUILD_ROOT}
%setup -q -n %{name}-%{version}

%build
%configure --prefix=/usr
%make

%install
mkdir -p ${RPM_BUILD_ROOT}%{_mandir}/man1/
mkdir -p ${RPM_BUILD_ROOT}/etc/xinetd.d
# cp -r ${RPM_BUILD_DIR}/%{name}-%{version}/man/ ${RPM_BUILD_ROOT}%{_mandir}/man1/
# bzip2 ${RPM_BUILD_ROOT}%{_mandir}/man1/*
%makeinstall
install -m644 %{SOURCE1} %{buildroot}/etc/xinetd.d/distcc
rm -rf ${RPM_BUILD_ROOT}/usr/share/doc/distcc

%post
%_install_info
# check that /etc/services has been already patched with ditscc port
CHECK_PORT=`grep distcc /etc/services`
if [ -z "$CHECK_PORT" ]; then
	echo " " >> /etc/services
	echo "distcc            3632/tcp # distcc port for daemon" >> /etc/services
	else
	perl -pi -e 's/distcc.*/distcc                3632\/tcp \# distcc port for daemon/' /etc/services
fi

# restarting xinetd service
if [ -f /var/run/xinetd.pid ]; then
        echo "Restarting xinetd service"
        service xinetd restart
fi

%postun
%_remove_install_info
# restarting xinetd service
if [ -f /var/run/xinetd.pid ]; then
        echo "Restarting xinetd service"
        service xinetd restart
fi

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
%doc README INSTALL DEPENDENCIES AUTHORS COPYING COPYING.FDL doc/* linuxdoc/*
%attr(644,root,root) %{_mandir}/man1/*
%attr(644,root,root) %{_infodir}/*
%attr(755,root,root) %{_bindir}/*
%attr(644,root,root) %config(noreplace) /etc/xinetd.d/distcc

%changelog
* Thu Feb 27 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.2.2-1mdk
- 1.2.2

* Sat Feb 22 2003 Antoine Ginies <aginies@mandrakesoft.com> 1.2-1mdk
- new release

* Tue Jan 28 2003 Antoine Ginies <aginies@mandrakesoft.com> 1.1-1mdk
- new release 1.1
* Thu Jan 16 2003 Antoine Ginies <aginies@mandrakesoft.com> 1.0-1mdk
- release 1.0
* Thu Dec 12 2002 Antoine Ginies <aginies@mandrakesoft.com> 0.15-2mdk
- correct to adjust to new default port 3632
* Thu Dec 12 2002 Antoine Ginies <aginies@mandrakesoft.com> 0.15-1mdk
- new release 0.15
* Tue Dec 03 2002 Antoine Ginies <aginies@mandrakesoft.com> 0.14-1mdk
- new release 0.14
* Tue Nov 12 2002 Antoine Ginies <aginies@mandrakesoft.com> 0.13-1mdk
- release 0.13
* Tue Oct 08 2002 Antoine Ginies <aginies@mandrakesoft.com> 0.12-3mdk
- correct /etc/services
* Mon Oct 07 2002 Antoine Ginies <aginies@mandrakesoft.com> 0.12-2mdk
- include distccd in xinetd service
- add disttc port in /etc/services
* Mon Oct 07 2002 Antoine Ginies <aginies@mandrakesoft.com> 0.12-1mdk
- release 0.12
* Sun Sep 29 2002 Antoine Ginies <aginies@mandrakesoft.com> 0.11.0-1mdk
- sorry for overwritting first spec. 
- release 0.11
* Mon Sep 16 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.10.1-1mdk
- from Austin Acton <aacton@yorku.ca> :
- update to 0.10.1
* Thu Aug 22 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.8-1mdk
- from Austin Acton <aacton@yorku.ca> :
- update to 0.8
* Tue Aug 06 2002 Xavier Granier <xavier.granier@laposte.net> 0.6-1mdk
- First packaging
